Skip to main content
POST
/
api
/
v1
/
components
/
from-template
/
{templateId}
Convert template to component
curl --request POST \
  --url https://api.kynva.ai/api/v1/components/from-template/{templateId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "exposedVariables": [
    "<string>"
  ]
}
'
import requests

url = "https://api.kynva.ai/api/v1/components/from-template/{templateId}"

payload = {
"name": "<string>",
"exposedVariables": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', exposedVariables: ['<string>']})
};

fetch('https://api.kynva.ai/api/v1/components/from-template/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Path Parameters

templateId
string
required

Body

application/json
name
string

Optional name for the component (defaults to template name)

exposedVariables
string[]

Variables to expose to parent templates

Response

200

Default Response